%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-Curve25519
Version:       0.08
Release:       1mamba
Summary:       Crypt::Curve25519 - Generate shared secret using elliptic-curve Diffie-Hellman function
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/K/KA/KARASIK/Crypt-Curve25519-%{version}.tar.gz
Patch0:        perl-Crypt-Curve25519-0.06-fmul-fixedvar.patch
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Crypt::Curve25519 - Generate shared secret using elliptic-curve Diffie-Hellman function.

%prep
%setup -q -n Crypt-Curve25519-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
#%doc LICENSE

%changelog
* Wed Apr 09 2025 Automatic Build System <autodist@openmamba.org> 0.08-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.07-1mamba
- update to 0.07

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-1mamba
- package created using the webbuild interface
